
ItemsInEnglish = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0")

--[[ to do:

-- EquipCompare support
"ComparisonTooltip",

-- EQCompare support
"EQCompareTooltip",

-- tekKompare support
"tekKompareTooltip",

-- LinkWrangler support
"IRR_",
"LinkWrangler",

-- MultiTips support

-- ItemMagic support
"ItemMagicTooltip",

-- Sniff support
"SniffTooltip",
--]]

function ItemsInEnglish:OnEnable()
	--@note: "Links" support
	self:RegisterEvent("Links_LinkOpened")

	GameTooltip:SetScript("OnShow", function() self:SetNewTooltip(GameTooltip) end)
	ItemRefTooltip:SetScript("OnShow", function() self:SetNewTooltip(ItemRefTooltip) end)

	if IsAddOnLoaded("AtlasLoot") then  AtlasLootTooltip:SetScript("OnShow", function() self:SetNewTooltip(AtlasLootTooltip) end) end
end 

function ItemsInEnglish:Links_LinkOpened(link, frame)
	if not frame:GetItem() then
		return
	end
	
oldText = getglobal(frame:GetName().."TextLeft1"):GetText()
	
	name, link = frame:GetItem()
	_, _, itemString = string.find(link, "^|c%x+|H(.+)|h%[.+%]")
	_, _, itemId, _, _, _, _, _, _, _ = string.find(itemString, "^item:(%d+):(%d+):(%d+):(%d+):(%d+):(%d+):(%-?%d+):(%-?%d+)")
	
	getglobal(frame:GetName().."TextLeft1"):SetText(strjoin("", oldText, '\n|cfffffe8b('..self.itemlist[itemId]..')|r'))
end

function ItemsInEnglish:SetNewTooltip(tooltip)
	if not tooltip:GetItem() then
		return
	end
	
oldText = getglobal(tooltip:GetName().."TextLeft1"):GetText()
	
	name, link = tooltip:GetItem()
	_, _, itemString = string.find(link, "^|c%x+|H(.+)|h%[.+%]")
	_, _, itemId, _, _, _, _, _, _, _ = string.find(itemString, "^item:(%d+):(%d+):(%d+):(%d+):(%d+):(%d+):(%-?%d+):(%-?%d+)")
	
	getglobal(tooltip:GetName().."TextLeft1"):SetText(strjoin("", oldText, '\n|cfffffe8b('..self.itemlist[itemId]..')|r'))
		
end 